"{ Package: 'cvut:stx/goodies/libsvn' }"

"{ NameSpace: SVN }"

Object subclass:#Property
	instanceVariableNames:'name value modified'
	classVariableNames:''
	poolDictionaries:''
	category:'SVN-Core'
!


!Property class methodsFor:'instance creation'!

name: name value: value

    ^self new setName: name value: value

    "Created: / 10-10-2008 / 09:55:41 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!Property methodsFor:'accessing'!

modified
    ^ modified
!

modified:aBoolean
    modified := aBoolean.
!

name
    ^ name

    "Created: / 10-10-2008 / 09:54:01 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

name:aString
    name := aString.

    "Created: / 10-10-2008 / 09:54:01 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

name:nameArg value:valueArg 
    name := nameArg.
    value := valueArg.

    "Created: / 10-10-2008 / 09:54:49 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

value
    ^ value

    "Created: / 10-10-2008 / 09:54:01 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

value:aString
    value := aString.
    modified := true

    "Created: / 10-10-2008 / 09:54:01 / Jan Vrany <vranyj1@fel.cvut.cz>"
    "Modified: / 23-03-2009 / 11:57:04 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!Property methodsFor:'initialization'!

setName:nameArg value:valueArg 
    name := nameArg.
    value := valueArg.

    "Created: / 10-10-2008 / 09:55:03 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!Property methodsFor:'testing'!

isModified
    ^ modified == true

    "Created: / 10-10-2008 / 09:54:34 / Jan Vrany <vranyj1@fel.cvut.cz>"
    "Modified: / 23-03-2009 / 11:42:38 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!Property class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
!

version_SVN
    ^'Id: SVN__Property.st 68 2009-04-16 11:35:57Z vranyj1 '
! !
